# MapWindowConfig in maplibre::window - Rust
A configuration for a window which determines the corresponding implementation of a [`MapWindow`] and is able to create it.
Keywords: rust, rustlang, rust-lang, MapWindowConfig

# Trait maplibre::window::MapWindowConfig

source · [−]

    pub trait MapWindowConfig: 'static {
        type MapWindow: MapWindow;
        fn create(&self) -> Self::MapWindow;
    }

Expand description

A configuration for a window which determines the corresponding implementation of a `MapWindow` and is able to create it.

## Associated Types

source

#### type MapWindow: MapWindow

## Required methods

source

#### fn create(&self) -> Self::MapWindow

## Implementors